#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_SimpleToggle.bas"

using sGUI

sGUIScreen 17
InitGUI
color Colors.Pen,Colors.BackGround
cls 


dim as Gadget ptr btn_a,btn_b
dim as sGUIWindow ptr win,childwin
win=AddWindow(0,50,75,200,200,"Fenster",WFLAG_DRAGABLE or WFLAG_FRAMED)
childwin=AddWindow(win,10,10,120,60,"ChildFenster",WFLAG_DRAGABLE or WFLAG_FRAMED)'Fenster im Fenster

btn_a=AddSimpleGadget(0,200,10,60,40,"Btn A")
btn_b=AddSimpleGadget(childwin,30,10,60,40,"Btn B")

ShowWindow(win)
ShowWindow(childwin)
GadgetOn(btn_a)
GadgetOn(btn_b)

do
  sleep 1
  MasterControlProgram
  if GADGETMESSAGE then
    select case GADGETMESSAGE
      case btn_a
        print "btn_a geklickt"
      
      case btn_b
        print "btn_b geklickt"        
        
    end select
  end if
loop until SCREENCLOSEBUTTON

/'
#include "sGUI\sGUI.bas"
Diese Zeile sollte immer die erste sein, so man sGUI benutzen will. Danach werden die bentigten Module 
der Gadgets includiert. Dies sollte immer mit dem Schlsselwort ONCE erfolgen.


'******************************************************************************
'******************************************************************************

*** Beschreibung:
sGUISCreen(),sGUIScreenRes() erzeugen einen zum Betrieb von sGUI bentigten Screen

*** Syntax:
sub sGUIScreen (scrmode as integer,flags as integer=0, refreshrate as integer=0)
sub sGUIScreenRes (scrwidth as integer, scrheight as integer,flags as integer=0, refreshrate as integer=0)

*** Parameter:
scrmode                   alle hier aufgefhrten Parameter werden an entsprechender Stelle an
flags                     die FB-Befehle SCREEN/SCREENRES bergeben.
refreshrate               siehe dort... :)
scrwidth
scrheight

*** Rckgabewert:
keiner

*** Hinweise:
beide Befehle sollen lediglich die Erzeugung eines 32bit-Screens mit 2 Pages sicherstellen.
Wer dies bercksichtigt, kann natrlich auch Screen/ScreenRes verwenden



'******************************************************************************
'******************************************************************************

*** Beschreibung:
InitGUI schafft die ntigen Vorraussetzungen fr den Betrieb von sGUI

*** Syntax:
sub InitGUI

*** Parameter:
keine
*** Rckgabewert:
keiner

*** Hinweise:
muss immer nach einem Screen(),ScreenRes() bzw sGUIScreen()/sGUIScreenRes() Befehl aufgerufen werden.



'******************************************************************************
'******************************************************************************

*** Beschreibung:
Das MasterControlProgram (MCP) ist das "Herzstck" der sGUI. 
Es sammelt Systemereignisse (Tastatur und Maus) und verknpft sie mit den erzeugten Controls und Windows.
Das MCP sorgt fr den grafischen Aufbau der GUI und kann(!) diese dann auf den Screen als eine Art "Overlay" bringen.
Das MCP mu in einer Schleifenkonstruktion aufgerufen werden.

*** Syntax:
sub MasterControlProgram (mode as integer=1)

*** Parameter:
mode    wenn 1 wird die GUI auf den Screen "gezeichnet"
        wenn 0 wird die Ausgabe der GUI unterdrckt und mu via DrawScreen erfolgen.

*** Rckgabewert:
keiner

*** Hinweise:
/

'/
