#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_SimpleToggle.bas"
using sGUI

sGUIScreen 19
InitGUI
color Colors.Pen,Colors.BackGround
cls

dim as Gadget ptr gadA,gadB,gadC
gadA=AddSimpleGadget(0,10,10,100,50,"Button A")
gadB=AddSimpleGadget(0,200,10,,20,"Button B")'Breite durch Text bestimmt
gadC=AddSimpleGadget(0,400,10,180,,"Button C")'Hhe durch Fonthhe bestimmt

dim as sGUIWindow ptr win
win=AddWindow(0,400,200,200,200,"Test Window",WFLAG_DRAGABLE or WFLAG_FRAMED or WFLAG_CLOSEABLE)

'Wenn man will... Buttons mit zustzlichen Features versehen:
gadA->xtd.btn.BtnWindow=win'ein Fenster wird beim Klick geffnet 

gadB->xtd.btn.UseButtonColors=1'andere Farben   
gadB->xtd.btn.GadBody=&HFFFF00
gadB->xtd.btn.GadText=&HFF0000
gadB->xtd.btn.GadBodySelected=&HDDDD00 
gadB->xtd.btn.GadTextSelected=&HFF00FE

gadC->xtd.btn.Fire=1'Dauerfeuer beim Halten


GadgetOn(gadA)
GadgetOn(gadB)
GadgetOn(gadC)
do
  sleep 1
  MasterControlProgram
  if GADGETMESSAGE then
    select case GADGETMESSAGE
      case gadA
        print "Button A"
        
      case gadB
        print "Button B"

      case gadC
        print "Button C"         
    end select
  end if
  
loop until SCREENCLOSEBUTTON

/'
'******************************************************************************
'******************************************************************************

*** Beschreibung:
Erzeugt ein SimpleGadget. Ein einfacher Button, halt fr "OK", "Abbruch" und solche Sachen ;)

*** Syntax:
function AddSimpleGadget (win as sGUIWindow ptr,PosX as integer,PosY as integer,GadWidth as integer=0,GadHeight as integer=0,Text as string) as Gadget ptr

*** Parameter:
win           ein Zeiger auf ein Fenster, in welchem das SimpleGadget erscheinen soll
              falls das SimpleGadget auf dem Screen erscheinen soll, muss 0 bergeben werden

PosX          ist die Position des SimpleGadgets im Parent-Fenster
PosY     

GadWidth      dies beschreibt die Breite und Hhe des Simplegadgets, falls hier keine Werte (=0) bergeben werden,
GadHeight     bestimmt der Text die Breite bzw. Hhe der Box

Text          ein Text der im Control angezeigt wird

*** Rckgabewert:
Zeiger vom Typ Gadget ptr auf das erzeugte Gadget

*** Hinweise:
folgende kleine Modifikationen sind nach Erzeugung mglich:                       
[gad]->xtd.btn.UseButtonColors    Normalerweise wird bei der Darstellung das "globale" Farbsystem benutzt. Es ist mglich einem Button diesem Gadgettyps eine eigene
                                  Farbgebung zu verpassen.
                                  Wenn UseButtonColors=1 werden folgende 4 Farben benutzt:
[gad]->xtd.btn.GadBody            ...diese sollten dann auch mit RGB-Werten versorgt werden
[gad]->xtd.btn.GadText
[gad]->xtd.btn.GadBodySelected 
[gad]->xtd.btn.GadTextSelected
[gad]->xtd.btn.Fire               Hiermit wird das Klickverhalten gendert: wenn Fire=1 triggert das Control solang es gedrckt(gehalten) wird
[gad]->xtd.btn.BtnWindow          Hier kann ein beliebiges Fenster ans Gadget "gebunden" werden, es wird bei einem Klick aufs Gadget geffnet.
                                  

'******************************************************************************
'******************************************************************************

*** Beschreibung:

*** Syntax:

*** Parameter:

*** Rckgabewert:
Zeiger vom Typ Gadget ptr auf das erzeugte Gadget

*** Hinweise:

'/
