#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_RadioCheck.bas"
using sGUI

sGUIScreen 19
InitGUI
color Colors.Pen,Colors.BackGround
cls

dim as Gadget ptr chk_a, chk_b, chk_c
chk_a=AddCheckMarkGadget(0,400,10,"Option A")
chk_b=AddCheckMarkGadget(0,400,30,"Option B")
chk_c=AddCheckMarkGadget(0,400,50,"Option C",1)

SetSelect(chk_a)
SetSelect(chk_c)

GadgetOn(chk_a)
GadgetOn(chk_b)
GadgetOn(chk_c)

do
  sleep 1
  MasterControlProgram
  if GADGETMESSAGE then
    print "> ";
    if GetSelect(chk_a) then print "Option A ";
    if GetSelect(chk_b) then print "Option B ";
    if GetSelect(chk_c) then print "Option C ";
    print
  end if
loop until SCREENCLOSEBUTTON
/'
*******************************************************************************
*******************************************************************************

*** Beschreibung:
Erzeugt ein CheckMarkGadget, vergleichbar und im Verhalten gleich dem ToggleGadget. Ein Options-Button der, bis zum nchsten Klick darauf, 
seinen Selektionszustand beibehlt.

*** Syntax:
function AddCheckmarkGadget (win as sGUIWindow ptr,PosX as integer,PosY as integer,Text as string="",Textleft as integer=0) as Gadget ptr

*** Parameter:
win           ein Zeiger auf ein Fenster, in welchem das CheckMarkGadget erscheinen soll
              falls das CheckMarkGadget auf dem Screen erscheinen soll, muss 0 bergeben werden

PosX          ist die Position des CheckMarkGadgets im Fenster
PosY          

Text          ein Text der im Control angezeigt wird, der sensible klickbare Bereich der Gadgets erweitert sich dann um den Textbereich

Textleft      wenn 1 dann wird der Text links vom Symbol angezeigt

*** Rckgabewert:
Zeiger vom Typ Gadget ptr auf das erzeugte Gadget

*** Hinweise:
Das Gadget ist nach Erzeugung im unselektierten Zustand und mu, wenn gewnscht, mit SetSelect() entsprechend konfiguriert werden
'/





