#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_String.bas"
using sGUI

sGUIScreen 19
InitGUI
color Colors.Pen,Colors.BackGround
cls

dim as Gadget ptr str_0,str_1,str_2,str_3,str_4,str_5
str_0=AddStringGadget (0,400,10,300)
str_1=AddStringGadget (0,400,40,300,3)'Begrenzung Anzahl Zeichen, hier 3 Zeichen
str_2=AddStringGadget (0,400,70,300,,4)'Eingabebeschrnkung: 4= nur Zeichen die Hexadezimalzahlen darstellen sind erlaubt
str_3=AddStringGadget (0,400,100,200,,,1)'0=Textanfang, 1=Textende
str_4=AddStringGadget (0,400,130,200,,,,1)'Focus, Gadget verliert nach RETURN nicht den Focus es kann weiter editiert werden 
str_5=AddStringGadget (0,400,160,200,,,,,1)'View only, es kann aber hineingeklickt und gescrollt werden

GadgetOn(str_0)
GadgetOn(str_1)
GadgetOn(str_2)
GadgetOn(str_3)
GadgetOn(str_4)
GadgetOn(str_5)

SetString(str_0,"blabla")
SetString(str_2,"0123456789abcdefABCDEF")
SetString(str_3,"Anfang -> langer Text... langer Text... <- Ende")
SetString(str_4,"Hold Focus")
SetString(str_5,"... noch ein langer Text der gescrollt werden kann.")
do
  sleep 1
  MasterControlProgram
  if GADGETMESSAGE then
    select case GADGETMESSAGE
      case str_0
        print "> " & GetString(str_0)
      case str_1
        print "> " & GetString(str_1)        
      case str_2
        print "> " & GetString(str_2)
      case str_3
        print "> " & GetString(str_3)        
      case str_4
        print "> " & GetString(str_4)
        SetString(str_4,"")
    end select
  end if
loop until SCREENCLOSEBUTTON
/'
'******************************************************************************
'******************************************************************************

*** Beschreibung:
Erzeugt ein Texteingabefeld
*** Syntax:
function AddStringGadget(win as sGUIWindow ptr,PosX as integer,PosY as integer,GadWidth as integer,MaxChars as integer=0 ,CharLimitation as integer=0,ShowEnd as integer=0,Focus as integer=0, Mode as integer=0) as Gadget ptr

*** Parameter:
win               ein Zeiger auf ein Fenster, in welchem das StringGadget erscheinen soll
                  falls das StringGadget auf dem Screen erscheinen soll, muss 0 bergeben werden

PosX              ist die Position des StringGadgets im Parent-Fenster
PosY     

GadWidth          dies beschreibt die Breite des StringGadgets, die Hhe ist abhngig vom benutzten Font

MaxChars          eine Begrenzung der Anzahl der Zeichen die eingegeben werden kann, 0 entspricht keiner Lngenbegrenzung

CharLimitation    hierber kann die Art der "zugelassenen" Zeichen begrenzt werden
                  0=  keine Beschrnkung, voreingestellt
                  1=  nur Zeichen die dezimale Integerzahlen darstellen 
                  2=  nur Zeichen die dezimale Fliekommazahlen darstellen
                  3=  nur Zeichen die Binrzahlen darstellen
                  4=  nur Zeichen die Hexadezimalzahlen darstellen

ShowEnd           hier kann bei "berlangem" Inhalt bestimmt werden, welches "Ende" wichtiger ist und angezeigt wird, solang nicht editiert wird
                  0= Anfang des Strings, voreingestellt
                  1= Ende des Strings

Focus             normalerweise ist nach einem "Return" die Eingabe in ein StringGadget beendet. Bei Focus=1 kann weiter
                  editiert werden, solang kein anderes Gadget angeklickt wurde.

Mode              0=Editiermodus, Text kann bearbeitet werden
                  1=ViewModus, Text wird nur angezeigt        

*** Rckgabewert:
Zeiger vom Typ Gadget ptr auf das erzeugte Gadget

*** Hinweise:
/

'******************************************************************************
'******************************************************************************

*** Beschreibung:
Setzt einen neuen Text ins StringGadget

*** Syntax:
declare sub SetString (gad as Gadget ptr,Text as string)

*** Parameter:
gad     Zeiger eines StringGadgets

Text    neuer Text 

*** Rckgabewert:
/

*** Hinweise:
/

'******************************************************************************
'******************************************************************************

*** Beschreibung:
Liefert den Inhalt eines StringGadgets

*** Syntax:
function GetString (gad as Gadget ptr) as string

*** Parameter:
gad     Zeiger eines StringGadgets

*** Rckgabewert:
ein String des Inhaltes eines StringGadgets

*** Hinweise:
/

'******************************************************************************
'******************************************************************************
Sowohl StringGadget als auch die Editbox benutzen intern ein objektorientiertes UDT zur Verwaltung,Editieren,In-/OutPut von (mehrzeiligen) Text.
Leicht angepasst nennt sich dieses UDT nun "sGUIText" (ehem. "TextObject"). Mit seinen eingebauten Methoden gibt es weitaus mehr Mglichkeiten
den Text im Gadget zu beeinflussen, als es mit GetString und SetString allein mglich wre. 

Wie kommt man nun an diese Verwaltung im StringGadget/EditBox heran?
In [gad]->xtd.TObject findet man den bentigten Zeiger.

'/

