#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_FileRequester.bas"
using sGUI

sGUIScreen 19
InitGUI
'LoadProportionalFont("Fonts\Ubuntu-Medium\Ubuntu-Medium.bmp")
'LoadFixedFont("Fonts\Ubuntu-Medium-Mono\Ubuntu-Medium-Mono.bmp")
dim as Gadget ptr fr=AddFileRequester("Laden","Abbruch",1)'im FEXISTS-Modus

print "press SPACE to open FR ..."

do
  sleep 1
  MasterControlProgram
  if GADGETMESSAGE then
    select case GADGETMESSAGE
      case fr
        print "... " & GetFilerequester(fr)
    end select
  end if
  
  if KEY=" " then ShowFileRequester(fr) 
loop until SCREENCLOSEBUTTON


/'
'******************************************************************************
'******************************************************************************

*** Beschreibung:
Filerequester sind in sGUI als Gadget(mit eigenem Fenster) konzipiert und knnen somit auch wie ein Gadget in einem
laufenden Eventloop abgefragt werden.
Es ist dadurch mglich mehrere unterschiedlich konfigurierte Filerequester zu erzeugen

*** Syntax:
function AddFileRequester (doit as string="doit", cancel as string="cancel", Mode as integer=0) as Gadget ptr

*** Parameter:
doit      Text des "AktionsButtons"

cancel    Text des AbbruchButtons

Mode      ...genauer FEXISTS-Mode!
          wenn =1 wird der Pfad+Dateiname ber die FBeigene FEXISTS() Funktion auf deren Gltigkeit berprft. Der FileRequester
          kann nur ber mit einem gltigen Dateipfad oder dem Abbruchbutton verlassen werden.
          Im Falle einer Ungltigkeit "poppt" ein einfaches Warnfenster auf!
          
          wenn =0 wird Pfad+Dateiname nicht berprft


*** Rckgabewert:
Zeiger vom Typ Gadget ptr auf das erzeugte Gadget

*** Hinweise:


'******************************************************************************
'******************************************************************************

*** Beschreibung:
Das Anzeigen des FileRequesters erfolgt ber den Befehl ShowFileRequester.
Ein ber diesen Befehl geffneter Filerequester bentigt einen laufenden
Eventloop mit dem MasterControlProgram

Der Vorteil dieses Aufrufs liegt in der Mglichkeit trotz geffnetem Filerequesters weitere
GUI externe Sachen im Eventloop ablaufen zu lassen

*** Syntax:
sub ShowFileRequester (gad as Gadget ptr,Path as string="",Filename as string="")

*** Parameter:
gad       Zeiger auf einen Filerequester

Path      Pfad eines Verzeichnisses das im Filerequester angezeigt werden soll

Filename  mglicher voreingesteller Name einer Datei

*** Rckgabewert:
/

*** Hinweise:
/

'******************************************************************************
'******************************************************************************

*** Beschreibung:
nach Verlassen eines Filerequesters wir ein entsprechendes Ereignis (GADGETMESSAGE) erzeugt, auf welches man dann reagieren kann
Mit GetFileRequester() wird der Filerequester ausgelesen.

*** Syntax:
function GetFileRequester (gad as Gadget ptr) as string

*** Parameter:
gad     Zeiger auf einen Filerequester


*** Rckgabewert:
ein String der entweder einen kompletten Pfad+Dateiname oder einen Leerstring enthlt

*** Hinweise:




'/
