#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_SimpleToggle.bas"

using sGUI

sGUIScreen 17
InitGUI
'sGUI selbst hat Standardfarben fr Vorder- und Hintergrund definiert,
'wenn man will kann man die Farben des Screens an sGUI anpassen:
color Colors.Pen,Colors.BackGround
cls 

dim as Gadget ptr mybutton
mybutton=AddSimpleGadget(0,200,10,200,40,"add random lines")
GadgetOn(mybutton)

do
  sleep 1 
  MasterControlProgram 0'<--!!! 0 = keine GFX Ausgabe
 
    if GADGETMESSAGE then
      select case GADGETMESSAGE
        case mybutton
          'ScrnWidth,ScrnHeight sind sGUI-interne Variablen, knnen im NAMESPACE "sGUI" natrlich benutzt werden
          cls
          for i as integer=1 to 1000
            line (rnd*(ScrnWidth-1), rnd*(ScrnHeight-1)) - (rnd*(ScrnWidth-1), rnd*(ScrnHeight-1)) ,rgb (rnd*&HFF,rnd*&HDD,&H33)        
          next i
      end select
    end if
  DrawScreen'<--!!! erst ab hier ist ALLES zu sehen
loop until SCREENCLOSEBUTTON

/'
"normalerweise" bernimmt das MasterControlProgram auch die gesamte grafische Ausgabe auf dem Screen.
Einen kleinen Nachteil hat dies natrlich: alle grafischen Ausgaben ausserhalb von sGUI sind erst immer 
einen Frame (oder Schleifendurchlauf) spter sichtbar.

Whrend die GUI immer "frame-aktuell" ist, stammt jedoch das Aussehen des UserScreens(Screenseite 0) noch vom vorherigen Frame.

Darum gibt es die Mglichkeit die Grafikausgabe getrennt vom MasterControlProgram (dieses dann aufgerufen mit dem Parameter 0) erfolgen zu lassen.
Erst wenn im aktuellem Frame alles(grafische) getan ist, wird die Ausgabe zusammengeschmiedet und dargestellt, via DrawScreen !!!


'******************************************************************************
'******************************************************************************

*** Beschreibung:
Dieser Befehl bringt bringt alles was zu sehen sein soll, inklusive sGUI, auf den Screen.

*** Syntax:
sub DrawScreen

*** Parameter:
/

*** Rckgabewert:
/

*** Hinweise:

'/
