#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_SimpleToggle.bas"

using sGUI

sGUIScreen 17
InitGUI
color Colors.Pen,Colors.BackGround
cls 

dim as Gadget ptr mybutton
mybutton=AddSimpleGadget(0,200,10,100,40,"BEEP!")
GadgetOn(mybutton)

dim as integer exitsignal=0
do
  sleep 1
  MasterControlProgram
  if GADGETMESSAGE then
    select case GADGETMESSAGE
      case mybutton
        exitsignal=1
        print "mybutton geklickt, Exitsignal gesetzt"
    end select
  end if
loop until exitsignal

sGUIScreenSet(0,0)'<-- !!! ohne wren folgende Ausgaben nicht sichtbar

'Programmfortfhrung ohne sGUI

print "... weiter ohne sGUI"
print "druecke Taste zum Beenden"
sleep

/'

'******************************************************************************
'******************************************************************************

*** Beschreibung:
dieser Befehl entspricht dem FB-Befehl "SCREENSET".
erweitert gibt er auch die bisherige Seitenkonfiguration zurck 
*** Syntax:
function sGUIScreenSet(active as integer=-1, visible as integer=-1) as integer

*** Parameter:
active      aktive (Screen)-Seite

visible     sichtbare (Screen)-Seite

*** Rckgabewert:
ein Integerwert der die bisherige ScreenSet Konfiguration darstellt.
Bit 1 bis 4 enthlt die sichtbare Seite
Bit 5 bis 8 enthlt die aktive Seite


*** Hinweise:
Wie gesagt, sGUI benutzt einen Screen mit mehreren Seiten.
Das MasterControlProgramm (bzw DrawScreen) selbst benutzt die Seiten 0 und 1.
Nach Verlassen eines Loops in dem das MCP aufgerufen wurde, ist es wichtig, die
Seitennutzung zurckzusetzen.

Dies geschieht mit sGUIScreeSet(0,0), danach kann der Screen "normal" genutzt werden.

Generell sei gesagt, wenn sGUI benutzt wird und man mit ScreenSet arbeiten mu, um beispielsweise
eigenes PageFlipping zu realisieren, sollte stattdessen auf sGUIScreenSet zurck greifen, um eventuellen Grafikfehlern
aus dem Weg zu gehen.
'/
