#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_SimpleToggle.bas"
using sGUI

sGUIScreen 19
InitGUI
color Colors.Pen,Colors.BackGround
cls

dim as Gadget ptr btn_a, btn_b, btn_c

btn_a=AddSimpleGadget(0,10,10,,,"Button A")
btn_b=AddSimpleGadget(0,10,40,,,"Button B")
btn_c=AddSimpleGadget(0,10,70,,,"Button C")

GadgetOn(btn_a)
GadgetSleep(btn_b)'nicht benutzbar
GadgetOff(btn_c)'nicht sichtbar

dim as integer ff=freefile
open cons for output as ff
do
  sleep 1
  MasterControlProgram
loop until SCREENCLOSEBUTTON
close ff

/'
*******************************************************************************
*******************************************************************************

*** Beschreibung:
Die Activation eines Gadgets bestimmt seine Benutz- und Sichtbarkeit.
Es werden 3 Zustnde unterschieden:
OFF     das Control ist weder sichtbar noch bedienbar
ON      das Control ist sichtbar und bedienbar
SLEEP   das Control ist zwar sichtbar, aber mit einem Raster berlegt und nicht bedienbar
Generell gilt: nach Erzeugung ist jedes Gadget erst einmal OFF, also nicht sichtbar und auch nicht benutzbar

Zum ndern der Activation gibt es folgende 3 Befehle. Welchen jeweiligen Status diese setzen,
sollte aus der Namensgebung hervorgehen: 

*** Syntax:
sub GadgetOff   (gad as Gadget ptr)
sub GadgetOn    (gad as Gadget ptr)
sub GadgetSleep (gad as Gadget ptr)

*** Parameter:
gad           ein Zeiger auf ein Gadget dessen Activation entsprechend Befehl gendert werden soll

*** Rckgabewert:
keiner

'/
