#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_RadioCheck.bas"
using sGUI

sGUIScreen 19
InitGUI
color Colors.Pen,Colors.BackGround
cls
MainWidth=29
dim as Gadget ptr rad_a, rad_b, rad_c, rad_d, rad_e

rad_a=AddRadioButton(0,400,10,"Option A",0)
rad_b=AddRadioButton(0,400,30,"Option B",rad_a)
rad_c=AddRadioButton(0,400,50,"Option C",rad_a,1)
rad_d=AddRadioButton(0,480,150,"Option D",0,1)'Text links vom Symbol
rad_e=AddRadioButton(0,610,150,"Option E",rad_d)

SetSelect(rad_b)
SetSelect(rad_e)

GadgetOn(rad_a)
GadgetOn(rad_b)
GadgetOn(rad_c)
GadgetOn(rad_d)
GadgetOn(rad_e)


do
  sleep 1
  MasterControlProgram
  if GADGETMESSAGE then
    select case GADGETMESSAGE
      case rad_a,rad_b,rad_c
        if GetSelect(rad_a) then print "Option A"
        if GetSelect(rad_b) then print "Option B"
        if GetSelect(rad_c) then print "Option C"
        
      case rad_d,rad_e  
        if GetSelect(rad_d) then print "Option D"
        if GetSelect(rad_e) then print "Option E"    
           
    end select
  end if
loop until SCREENCLOSEBUTTON

/'
*******************************************************************************
*******************************************************************************

*** Beschreibung:
Erzeugt ein RadioButton bzw eine RadioButtonGruppe.
RB sind Optionsbuttons wobei immer nur ein Button einer Gruppe selektiert sein kann

*** Syntax:
function AddRadioButton (win as sGUIWindow ptr,PosX as integer,PosY as integer,Text as string="",Head as Gadget ptr,Textleft as integer=0) as Gadget ptr

*** Parameter:
win           ein Zeiger auf ein Fenster, in welchem das RadioButton erscheinen soll
              falls das RadionButton auf dem Screen erscheinen soll, muss 0 bergeben werden

PosX          ist die Position des RadionButtons im Parent-Fenster
PosY          

Text          ein Text der im Control angezeigt wird, der sensible klickbare Bereich erweitert sich um die Textbreite

Head          wird 0 bergeben so stellt diese RadioButton den "Kopf" einer Radiobuttongruppe dar. In ihm wird eine Liste angelegt
              welche alle weiteren Mitglieder der Gruppe enthlt.
              Soll ein weiterer RadioButton einer Gruppe hinzugefgt werden, so gibt man bei Head den Gadget Pointer zum ersten RadioButton der Gruppe an.

Textleft      ist diser Parameter 1 dann wird der Text links vom Symbol angezeigt

*** Rckgabewert:
Zeiger vom Typ Gadget ptr auf das erzeugte Gadget

*** Hinweise:
Nach Erzeugung einer RB-Gruppe ist keines der RButtons vorselektiert!
Das Selektieren eines RadioButtons dieser Gruppe mu im Anschlu mit SetSelect() erfolgen.

Bei Bedienung eines RadioButtons durch den User erfolgt automatisch das Anpassen der anderen Mitglieder der Gruppe
Ergibt sich alldings im Programmverlauf da eine bestimmte Selection "erzwungen" werden mu, dann mu dies mit allen Mitgliedern
einer Gruppe einzeln per SetSelect() erfolgen.

'/
