#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_RadioCheck.bas"
using sGUI

sGUIScreen 19
InitGUI
color Colors.Pen,Colors.BackGround
cls

dim as Gadget ptr rtg_a, rtg_b, rtg_c, rtg_d

rtg_a=AddRadioToggle(0,300,30,70,20,"Farbe",0)
rtg_b=AddRadioToggle(0,370,30,70,20,"Form",rtg_a)
rtg_c=AddRadioToggle(0,300,50,120,20,"Verhalten",rtg_a)
rtg_d=AddRadioToggle(0,420,50,20,20,"?",rtg_a)

GadgetOn(rtg_a)
GadgetOn(rtg_b)
GadgetOn(rtg_c)
GadgetOn(rtg_d)


do
  sleep 1
  MasterControlProgram
  if GADGETMESSAGE then
    if GetSelect(rtg_a) then print "Farbe"
    if GetSelect(rtg_b) then print "Form"
    if GetSelect(rtg_c) then print "Verhalten"
    if GetSelect(rtg_d) then print "?"                  
  end if
loop until SCREENCLOSEBUTTON

/'
*******************************************************************************
*******************************************************************************
*******************************************************************************
*** Beschreibung:
Erzeugt ein RadioToggle bzw eine RadioToggleGruppe.
RTs sind Optionsbuttons wobei immer nur ein Button einer Gruppe selektiert sein kann.
Eine RadioToggleGruppe soll bei der Erstellung eines Property-Dialoges helfen und soll dort die Funktion der Seiten-Reiter erfllen.

*** Syntax:
function AddRadioToggle (win as sGUIWindow ptr,PosX as integer,PosY as integer,GadWidth as integer,GadHeight as integer,Text as string,Head as Gadget ptr) as Gadget ptr

*** Parameter:
win           ein Zeiger auf ein Fenster, in welchem das RadioToggle erscheinen soll
              falls das RadioToggle auf dem Screen erscheinen soll, muss 0 bergeben werden

PosX          ist die Position des RadioToggles im Parent-Fenster
PosY          

GadWidth      diese beschreiben die Breite und Hhe des RadioToggles
GadHeight     

Text          ein Text der im Control angezeigt wird

Head          wird 0 bergeben so stellt dieses RadioToggle den "Kopf" einer RadioTogglegruppe dar. In ihm wird eine Liste angelegt
              welche weitere Mitglieder der Gruppe enthlt.
              Soll ein weiteres RadioToggle einer Gruppe hinzugefgt werden, so gibt man bei Head den Gadget Pointer zum ersten RadioToggle der Gruppe an.

*** Rckgabewert:
Zeiger vom Typ Gadget ptr auf das erzeugte Gadget

*** Hinweise:
[gad]->xtd.rbc.RTWindow =[win]
Ihr kann ein Zeiger zu einem Fenster bergeben werden.
Beim Klicken auf ein RadioToggle wird dann das so gekoppelte Fenster angezeigt. 

Bei Bedienung eines RadioToggles durch den User erfolgt automatisch das Anpassen der anderen Mitglieder der Gruppe
Wie man aber an den Parametern sieht, ist eine Vorselektierung nicht vorgesehen.
Es mu also nach der Erstellung einer Gruppe die Selektierung eines Mitgliedes mit SetSelect() erfolgen.

Generell gilt: ergibt sich im Programmverlauf da eine bestimmte Selection "erzwungen" werden mu, dann mu dies mit allen Mitgliedern
einer Gruppe einzeln per SetSelect() erfolgen.
'/