#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_EditBox.bas"
using sGUI

sGUIScreen 19
InitGUI
color Colors.Pen,Colors.BackGround
cls
LoadProportionalFont("Fonts\Ubuntu-Regular\Ubuntu-Regular.bmp")
LoadFixedFont("Fonts\Ubuntu-Regular-Mono\Ubuntu-Regular-Mono.bmp")

dim as sGUIWindow ptr winB=AddWindow(0,100,100,300,300,"windowed Textbox A",WFLAG_DRAGABLE or WFLAG_FRAMED)
dim as sGUIWindow ptr winC=AddWindow(0,200,200,300,300,"windowed Textbox B",WFLAG_DRAGABLE or WFLAG_FRAMED)

dim as Gadget ptr editA=AddEditBox (0,480,20,300,300)'auf dem Screen
dim as Gadget ptr editB=AddEditBox (winB,0,0,300,300)
dim as Gadget ptr editC=AddEditBox (winC,0,0,300,300)
ShowWindow(winB)
ShowWindow(winC)
GadgetOn(editA)
GadgetOn(editB)
GadgetOn(editC)

do
  sleep 1
  MasterControlProgram
  if KEY<>"" then 
    print "> " & KEY'zustzliche Ausgabe der gedrckten Taste auf dem Screen, unabhngig von allen EditBoxen
  end if
loop until SCREENCLOSEBUTTON

/'
'******************************************************************************
'******************************************************************************
*** Beschreibung:
Die Editbox ist im Grunde ein gaaaanz ganz ganz einfacher Editor, man kann mehrzeiligen Text eingeben und bearbeiten.

*** Syntax:
function AddEditBox(win as sGUIWindow ptr,PosX as integer,PosY as integer,BoxWidth as integer,BoxHeight as integer,Mode as integer=0) as Gadget ptr

*** Parameter:
win           ein Zeiger auf ein Fenster, in welchem die EditBox erscheinen soll
              falls die EditBox auf dem Screen erscheinen soll, muss 0 bergeben werden

PosX          ist die Position der EditBox im Parent-Fenster
PosY     

BoxWidth      dies beschreibt die Breite und Hhe der EditBbox
BoxHeight     

Mode          Darstellungsmodus 0=Editiermodus, Text kann bearbeitet werden
                                1=ViewModus, Text wird nur angezeigt

*** Rckgabewert:
Zeiger vom Typ Gadget ptr auf das erzeugte Gadget

*** Hinweise:


'/

