#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_ScrollBar.bas"
using sGUI

sGUIScreen 19
InitGUI
color Colors.Pen,Colors.BackGround
cls 

dim as Gadget ptr scr
scr=AddScrollBar(0,300,10,303,1,10,1,1,0)
GadgetOn (scr)

SetScrollBar(scr,1)

do
  sleep 1
  MasterControlProgram
  if GADGETMESSAGE then
    select case GADGETMESSAGE
      case scr
        print "scr: " & GetScrollBar(scr)       
    end select
  end if
  
loop until SCREENCLOSEBUTTON

/'
'******************************************************************************
'******************************************************************************

*** Beschreibung:
Erzeugt ein Scrollbar

*** Syntax:
function AddScrollBar(win as sGUIWindow ptr,PosX as integer,PosY as integer,SBLength as integer,Minimum as integer,Maximum as integer,ScrollValue as integer,PageSize as integer,Orientation as integer) as Gadget ptr

*** Parameter:
win           ein Zeiger auf ein Fenster, in welchem das ScrollBar erscheinen soll
              falls das ScrollBar auf dem Screen erscheinen soll, muss 0 bergeben werden

PosX          ist die Position des ScrollBars im Parent-Fenster
PosY

SBLength      ist die Lnge des ScrollBars. Die "Dicke" betrgt 16 Pixel und ist nicht vernderbar

Minimum       Minimum und Maximum stellen jeweils den kleinsten und grten Wert dar, den der Scrollwert annehmen kann
Maximum

ScrollValue   ein Wert der, in Abhngigkeit von PageSize, von Minimum bis Maximum gehen kann

PageSize      Eine PageSize >1 beschreibt einen Bereich entprechender Gre, den man zwischen Minimum und Maximum anscrollen kann.
              Der Scrollwert entspricht dann dem kleinsten ("obersten") Element dieses Bereiches.
              
              Zum anderen bestimmt das Verhltnis (PageSize/ Anzahl der zu scrollenden Elemente) die relative Gre des Schiebereglers im Container


Orientation   0=waagerechtes ScrollBar
              1=senkrechtes Scrollbar

*** Rckgabewert:
Zeiger vom Typ Gadget ptr auf das erzeugte Gadget

*** Hinweise:


'******************************************************************************
'******************************************************************************

*** Beschreibung:
SetScrollbar ndert die internen Werte des Scrollbars. Es gibt 3 berladene Varianten, abhngig 
vom Umfang der zu ndernden Parameter.

*** Syntax:
sub SetScrollBar (gad as Gadget ptr,ScrollValue as integer)
sub SetScrollBar (gad as Gadget ptr,Minimum as integer,Maximum as integer)
sub SetScrollBar (gad as Gadget ptr,Minimum as integer,Maximum as integer,ScrollValue as integer,PageSize as integer=0)

*** Parameter:
gad             ein Zeiger auf ein ScrollBar dessen Parameter gendert werden sollen

ScrollValue     ndert den Scrollwert im Scrollbar

Minimum         ndert entsprechend die Grenzwerte, die der Scrollwert annehmen kann
Maximum

PageSize        ndert die PageSize des ScrollBars

*** Rckgabewert:
/

*** Hinweise:
/

'******************************************************************************
'******************************************************************************

*** Beschreibung:
liest den Scrollwert eines ScrollBars aus

*** Syntax:
function GetScrollBar (gad as Gadget ptr) as integer
*** Parameter:
gad             ein Zeiger auf ein ScrollBar

*** Rckgabewert:
liefert den Scrollwert des Scrollbars

*** Hinweise:
/

'/
