#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_SimpleToggle.bas"
using sGUI

sGUIScreen 19
InitGUI
color Colors.Pen,Colors.BackGround
cls

dim as Gadget ptr tgl_a, tgl_b

tgl_a=AddToggleGadget(0,300,10,,,"Toggle A")
'alternative Farbgebung
tgl_a->xtd.btn.UseButtonColors=1
tgl_a->xtd.btn.GadBody=&H444444
tgl_a->xtd.btn.GadText=&HFFFFFF
tgl_a->xtd.btn.GadBodySelected=&H0088FF
tgl_a->xtd.btn.GadTextSelected=&HFFFF00

tgl_b=AddToggleGadget(0,300,40,,,"Toggle B")

SetSelect(tgl_a)

GadgetOn(tgl_a)
GadgetOn(tgl_b)

do
  sleep 1
  MasterControlProgram
  if GADGETMESSAGE then
    select case GADGETMESSAGE
      case tgl_a
        if GetSelect(tgl_a)=1 then print "Toggle A ist selektiert" else print "Toggle A ist nicht selektiert"
      
      case tgl_b
        if GetSelect(tgl_b)=1 then print "Toggle B ist selektiert" else print "Toggle B ist nicht selektiert"
      
    end select
  end if
loop until SCREENCLOSEBUTTON

/'
*******************************************************************************
*******************************************************************************

*** Beschreibung:
Erzeugt ein ToggleGadget. Ein Options-Button der, bis zum nchsten Klick darauf, seinen Selektionszustand beibehlt

*** Syntax:
function AddToggleGadget (win as SGUIWindow ptr,PosX as integer,PosY as integer,GadWidth as integer=0,GadHeight as integer=0,Selection as integer,Text as string) as Gadget ptr

*** Parameter:
win           ein Zeiger auf ein Fenster, in welchem das ToggleGadget erscheinen soll
              falls das ToggleGadget auf dem Screen erscheinen soll, muss 0 bergeben werden

PosX          ist die Position des ToggleGadgets im Parent-Fenster
PosY     

GadWidth      dies beschreibt die Breite und Hhe des Togglegadgets, falls hier keine Werte (=0) bergeben werden,
GadHeight     bestimmt der Text (Text) die Gre der Box

Text          ein Text der im Control angezeigt wird

*** Rckgabewert:
Zeiger vom Typ Gadget ptr auf das erzeugte Gadget

*** Hinweise:
Das Gadget ist nach Erzeugung im unselektierten Zustand und mu, wenn gewnscht, mit SetSelect() entsprechend konfiguriert werden

'/
